Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::Singleton< T > Class Template Reference

Template class for creating single-instance global classes. More...

`#include <OgreSingleton.h>`

List of all members.

## Public Methods

| Singleton (void)
| ~Singleton (void)

## Static Public Methods

T & | getSingleton (void)
T * | getSingletonPtr (void)

## Static Protected Attributes

T * | ms_Singleton = 0

## Detailed Description

### template<typename T>
class Ogre::Singleton< T >

Template class for creating single-instance global classes.

Definition at line 50 of file OgreSingleton.h.

## Constructor & Destructor Documentation

template<typename T>
Ogre::Singleton< T >::Singleton | ( | void |  | ) |

| Definition at line 57 of file OgreSingleton.h.

template<typename T>
Ogre::Singleton< T >::~Singleton | ( | void |  | ) |

| Definition at line 67 of file OgreSingleton.h.

## Member Function Documentation

template<typename T>
T& Ogre::Singleton< T >::getSingleton | ( | void |  | ) | `[static]`

Reimplemented in Ogre::ArchiveManager, Ogre::ControllerManager, Ogre::DynLibManager, Ogre::EventProcessor, Ogre::ExternalTextureSourceManager, Ogre::FontManager, Ogre::GpuProgramManager, Ogre::GuiManager, Ogre::HardwareBufferManager, Ogre::HighLevelGpuProgramManager, Ogre::LogManager, Ogre::MaterialManager, Ogre::MeshManager, Ogre::OverlayManager, Ogre::ParticleSystemManager, Ogre::PlatformManager, Ogre::Profiler, Ogre::Root, Ogre::SceneManagerEnumerator, Ogre::SkeletonManager, Ogre::TextureManager, Ogre::BspResourceManager, Ogre::Quake3ShaderManager, Ogre::TerrainPageSourceListenerManager, Ogre::GTKGLSupport, and Ogre::GLSLLinkProgramManager.

Definition at line 69 of file OgreSingleton.h.

template<typename T>
T* Ogre::Singleton< T >::getSingletonPtr | ( | void |  | ) | `[static]`

Reimplemented in Ogre::ArchiveManager, Ogre::ControllerManager, Ogre::DynLibManager, Ogre::EventProcessor, Ogre::ExternalTextureSourceManager, Ogre::FontManager, Ogre::GpuProgramManager, Ogre::GuiManager, Ogre::HardwareBufferManager, Ogre::HighLevelGpuProgramManager, Ogre::LogManager, Ogre::MaterialManager, Ogre::MeshManager, Ogre::OverlayManager, Ogre::ParticleSystemManager, Ogre::PlatformManager, Ogre::Profiler, Ogre::Root, Ogre::SceneManagerEnumerator, Ogre::SkeletonManager, Ogre::TextureManager, Ogre::BspResourceManager, Ogre::Quake3ShaderManager, Ogre::TerrainPageSourceListenerManager, Ogre::GTKGLSupport, and Ogre::GLSLLinkProgramManager.

Definition at line 71 of file OgreSingleton.h.

## Member Data Documentation

template<typename T>
OgreRefApp::World * Ogre::Singleton<>::ms_Singleton = 0`[static, protected]`

| Definition at line 34 of file OgreRefAppWorld.cpp. Referenced by Ogre::Singleton< GpuProgramManager >::getSingleton(), Ogre::Singleton< GpuProgramManager >::getSingletonPtr(), Ogre::Singleton< GpuProgramManager >::Singleton(), and Ogre::Singleton< GpuProgramManager >::~Singleton().

The documentation for this class was generated from the following files:

- OgreSingleton.h
- OgreGTKGLSupport.cpp
- OgreRefAppWorld.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:39 2004